---
title: RTCIceCandidatePairStats.currentRoundTripTime
slug: Web/API/RTCIceCandidatePairStats/currentRoundTripTime
tags:
  - API
  - Connectivity
  - ICE
  - Network
  - Performance
  - Ping
  - RTCIceCandidatePairStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - currentRoundTripTime
  - rtc
  - speed
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>currentRoundTripTime</code></strong> is a floating-point value indicating the number of seconds it takes for data to be sent by this peer to the remote peer and back over the connection described by this pair of {{Glossary("ICE")}} candidates.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>rtt</em> = <em>rtcIceCandidatePairStats</em>.currentRoundTripTime;</pre>

<h3 id="Value">Value</h3>

<p>A floating-point value indicating the round-trip time, in seconds for the connection described by the pair of candidates for which this <code>RTCIceCandidatePairStats</code> object offers statistics.</p>

<p>This value is computed by observing the time that elapsed between the most recent {{Glossary("STUN")}} request being sent to the remote peer and the response to that request arriving. This information may come from ongoing STUN connectivity checks as well as from consent requests made when the connection was initially being opened.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-currentroundtriptime', 'RTCIceCandidatePairStats.currentRoundTripTime') }}</td>
			<td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
			<td>Initial specification.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.currentRoundTripTime")}}</p>
